<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Eloquent\Model;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('listas', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('listas', function(Blueprint $table) {
			$table->foreign('sender_id')->references('id')->on('senders')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('senders', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('unsubscribes', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('unsubscribes', function(Blueprint $table) {
			$table->foreign('lista_id')->references('id')->on('listas')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('unsubscribes', function(Blueprint $table) {
			$table->foreign('marketing_id')->references('id')->on('marketings')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('usertemplates', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('marketings', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('marketings', function(Blueprint $table) {
			$table->foreign('lista_id')->references('id')->on('listas')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('Domain', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('Ips', function(Blueprint $table) {
			$table->foreign('criterios_id')->references('id')->on('criterios')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('LogCambios', function(Blueprint $table) {
			$table->foreign('ip_id')->references('id')->on('Ips')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('LogCambios', function(Blueprint $table) {
			$table->foreign('calif_ant')->references('id')->on('criterios')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('LogCambios', function(Blueprint $table) {
			$table->foreign('calif_post')->references('id')->on('criterios')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('ip_user', function(Blueprint $table) {
			$table->foreign('ip_id')->references('id')->on('Ips')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
		Schema::table('ip_user', function(Blueprint $table) {
			$table->foreign('user_id')->references('id')->on('users')
						->onDelete('cascade')
						->onUpdate('cascade');
		});
	}

	public function down()
	{
		Schema::table('listas', function(Blueprint $table) {
			$table->dropForeign('listas_user_id_foreign');
		});
		Schema::table('listas', function(Blueprint $table) {
			$table->dropForeign('listas_sender_id_foreign');
		});
		Schema::table('senders', function(Blueprint $table) {
			$table->dropForeign('senders_user_id_foreign');
		});
		Schema::table('unsubscribes', function(Blueprint $table) {
			$table->dropForeign('unsubscribes_user_id_foreign');
		});
		Schema::table('unsubscribes', function(Blueprint $table) {
			$table->dropForeign('unsubscribes_lista_id_foreign');
		});
		Schema::table('unsubscribes', function(Blueprint $table) {
			$table->dropForeign('unsubscribes_marketing_id_foreign');
		});
		Schema::table('usertemplates', function(Blueprint $table) {
			$table->dropForeign('usertemplates_user_id_foreign');
		});
		Schema::table('marketings', function(Blueprint $table) {
			$table->dropForeign('marketings_user_id_foreign');
		});
		Schema::table('marketings', function(Blueprint $table) {
			$table->dropForeign('marketings_lista_id_foreign');
		});
		Schema::table('Domain', function(Blueprint $table) {
			$table->dropForeign('Domain_user_id_foreign');
		});
		Schema::table('Ips', function(Blueprint $table) {
			$table->dropForeign('Ips_criterios_id_foreign');
		});
		Schema::table('LogCambios', function(Blueprint $table) {
			$table->dropForeign('LogCambios_ip_id_foreign');
		});
		Schema::table('LogCambios', function(Blueprint $table) {
			$table->dropForeign('LogCambios_calif_ant_foreign');
		});
		Schema::table('LogCambios', function(Blueprint $table) {
			$table->dropForeign('LogCambios_calif_post_foreign');
		});
		Schema::table('ip_user', function(Blueprint $table) {
			$table->dropForeign('ip_user_ip_id_foreign');
		});
		Schema::table('ip_user', function(Blueprint $table) {
			$table->dropForeign('ip_user_user_id_foreign');
		});
	}
}